# depot_map.h File Reference

Map related accessors for depots. More...

`#include "road_map.h"`
`#include "rail_map.h"`
`#include "water_map.h"`
`#include "station_map.h"`

Go to the source code of this file.

## Functions

static bool | IsDepotTypeTile (TileIndex tile, TransportType type)
| Check if a tile is a depot and it is a depot of the given type.
static bool | IsDepotTile (TileIndex tile)
| Is the given tile a tile with a depot on it?

## Detailed Description

Map related accessors for depots.

Definition in file depot_map.h.

## Function Documentation

static bool IsDepotTile | ( | TileIndex | tile | ) | `[inline, static]`

Is the given tile a tile with a depot on it?

Parameters:

  | tile | the tile to check

Returns:
  true if and only if there is a depot on the tile.

Definition at line 36 of file depot_map.h.

References IsRailDepotTile().

Referenced by CmdDepotMassAutoReplace().